<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TAutoRuleLogMapper">

  <resultMap id="tAutoRuleLogMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TAutoRuleLog">
    <id property="id" column="ID"/>
    <result property="type" column="TYPE"/>
    <result property="mainId" column="MAIN_ID"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="oldInfo" column="OLD_INFO"/>
    <result property="newInfo" column="NEW_INFO"/>
    <result property="differenceInfo" column="DIFFERENCE_INFO"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.ID,
                a.TYPE,
                a.MAIN_ID,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME,
                a.OLD_INFO,
                a.NEW_INFO,
                a.DIFFERENCE_INFO
    </sql>
    <sql id="tAutoRuleLog_where">
        <if test="tAutoRuleLog != null">
                    <if test="tAutoRuleLog.id != null and tAutoRuleLog.id.trim() != ''">
                        AND a.ID = #{tAutoRuleLog.id}
                    </if>
                    <if test="tAutoRuleLog.type != null">
                        AND a.TYPE = #{tAutoRuleLog.type}
                    </if>
                    <if test="tAutoRuleLog.mainId != null and tAutoRuleLog.mainId.trim() != ''">
                        AND a.MAIN_ID = #{tAutoRuleLog.mainId}
                    </if>
                    <if test="tAutoRuleLog.createBy != null and tAutoRuleLog.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tAutoRuleLog.createBy}
                    </if>
                    <if test="tAutoRuleLog.createName != null and tAutoRuleLog.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tAutoRuleLog.createName}
                    </if>
                    <if test="tAutoRuleLog.createTime != null">
                        AND a.CREATE_TIME = #{tAutoRuleLog.createTime}
                    </if>
                    <if test="tAutoRuleLog.updateBy != null and tAutoRuleLog.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tAutoRuleLog.updateBy}
                    </if>
                    <if test="tAutoRuleLog.updateTime != null">
                        AND a.UPDATE_TIME = #{tAutoRuleLog.updateTime}
                    </if>
                    <if test="tAutoRuleLog.oldInfo != null and tAutoRuleLog.oldInfo.trim() != ''">
                        AND a.OLD_INFO = #{tAutoRuleLog.oldInfo}
                    </if>
                    <if test="tAutoRuleLog.newInfo != null and tAutoRuleLog.newInfo.trim() != ''">
                        AND a.NEW_INFO = #{tAutoRuleLog.newInfo}
                    </if>
                    <if test="tAutoRuleLog.differenceInfo != null and tAutoRuleLog.differenceInfo.trim() != ''">
                        AND a.DIFFERENCE_INFO = #{tAutoRuleLog.differenceInfo}
                    </if>
        </if>
    </sql>
    <!--tAutoRuleLog简单分页查询-->
    <select id="getTAutoRuleLogPage" resultMap="tAutoRuleLogMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_auto_rule_log a
        <where>
            1=1
            <include refid="tAutoRuleLog_where"/>
        </where>
		order  by a.CREATE_TIME DESC
    </select>
</mapper>
